<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Bebas Kewajiban</title>
    <style>
        .table td, .table th {
            white-space: normal;
        }
    </style>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Histori Approval Bebas Kewajiban </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <form method="get">
                            <div class="row align-items-center">
                                <div class="col-md-6">
                                    <h3 class="mb-0">Data </h3>
                                </div>
                                <div class="col-md-6">
                                    <div class="col text-right">
                                        <a th:href="@{/kewajiban/admin/keuangan/list}" class="btn btn-sm btn-default"><i class="fas fa-arrow-alt-circle-left"></i> Kembali</a>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                    <div class="card-body">

                        <div class="table-responsive">
                            <table id="data-table-1" class="table align-items-center table-flush">
                                <thead class="thead-light">
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">NIM</th>
                                    <th scope="col">Nama</th>
                                    <th scope="col">Prodi</th>
                                    <th scope="col">Angkatan</th>
                                    <th scope="col" width="30px;">Komentar</th>
                                    <th scope="col" width="30px;">Status</th>
                                    <th scope="col" style="width: 200px;">Waktu Approval</th>
                                    <th scope="col" width="30px;">User Approval</th>

                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data,row : ${list}">
                                    <td th:text="${(row.index + 1)}">1</td>
                                    <td th:text="${data[1]}">12</td>
                                    <td th:text="${data[2]}">12</td>
                                    <td th:text="${data[3]}">2020</td>
                                    <td th:text="${data[4]}">2020</td>
                                    <td>
                                        <button type="button" class="btn btn-info btn-sm" data-toggle="modal" th:data-target="${'#modal-histori'+data[0]}">Histori Komentar</button>
                                        <div class="modal fade" th:id="${'modal-histori'+data[0]}" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="exampleModalLabel">Komentar</h5>
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <h2>Histori Komentar</h2>
                                                        <div th:each="histori, row:${histori}">
                                                            <b th:if="${histori.bebasKewajiban.id == data[0]}" th:text="${#temporals.format(histori.waktuInput, 'dd-MM-yyyy HH:mm')}"></b>
                                                            <p th:if="${histori.bebasKewajiban.id == data[0]}" th:text="${histori.komentar}"></p>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td >
                                        <button type="button" class="btn btn-success btn-sm" th:text="${data[6]}">APPROVED</button>
                                    </td>
                                    <td th:text="${data[5]}">2020</td>
                                    <td th:text="${data[7]}">2020</td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div th:if="${listMahasiswa != null}" class="card-footer py-4">
                            <nav aria-label="...">
                                <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                    <li class="disabled"><a href="#" aria-label="Previous"><span
                                            aria-hidden="true">&laquo;</span></a>
                                    </li>
                                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                    </li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Dark table -->


    </div>
</div>

<!--modal-->

</body>
</html>

<script>

</script>